Update Cloud Credential

SecurityHTTPBearer
Request
path Parameters
credential_id
required
string <uuid> (Credential Id)
Request Body schema: application/json
required
name
required
string (Name) non-empty
hostname
string (Hostname)
Default: ""
username
required
string (Username) non-empty
Secret (string) or Secret (null) (Secret)
verify_certs
boolean (Verify Certs)
Default: true
note
string (Note)
Default: ""
appliance_ids
required
Array of strings <uuid> (Appliance Ids) non-empty
cred_type
string (Cred Type)
Default: "amazons3"
Value: "amazons3"
Region Code (string) or Region Code (null) (Region Code)
skip_validation
boolean (Skip Validation)
Default: false
Responses
202

Credential update accepted; commands dispatched to reachable appliances

401

Not authenticated

403

Insufficient permissions

422

Validation Error

500

Internal server error

patch/cloud-credentials/{credential_id}
Request samples
application/json
{
  • "name": "string",
  • "hostname": "",
  • "username": "string",
  • "secret": "string",
  • "verify_certs": true,
  • "note": "",
  • "appliance_ids": [
    ],
  • "cred_type": "amazons3",
  • "region_code": "string",
  • "skip_validation": false
}
Response samples
application/json
{
  • "task_ids": [
    ],
  • "failed_unreachable": [
    ]
}
Copyright © 2025 Nasuni Corporation. All rights reserved.